STOFFCellContent::FormulaInstruction Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
STOFFCellContent::FormulaInstruction Struct Reference

small class use to define a formula instruction More...

`#include <STOFFCell.hxx>`

## Public Types
enum | Type { F_None, F_Operator, F_Function, F_Cell, F_CellList, F_Index, F_Long, F_Double, F_Text }

## Public Member Functions
| FormulaInstruction ()
| constructor More...
librevenge::RVNGPropertyList | getPropertyList () const
| returns a proplist corresponding to a instruction More...

## Public Attributes
Type | m_type
| the type More...
librevenge::RVNGString | m_content
| the content ( if type == F_Operator or type = F_Function or type==F_Text) More...
long | m_longValue
| value ( if type==F_Long ) More...
double | m_doubleValue
| value ( if type==F_Double ) More...
STOFFVec2i | m_position [2]
| cell position ( if type==F_Cell or F_CellList ) More...
STOFFVec2b | m_positionRelative [2]
| relative cell position ( if type==F_Cell or F_CellList ) More...
librevenge::RVNGString | m_sheet
| the sheet name (if not empty) More...
int | m_sheetId
| the sheet id (if set) More...
bool | m_sheetIdRelative
| the sheet id relative flag More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, FormulaInstruction const &inst)
| operator<< More...

## Detailed Description

small class use to define a formula instruction

## Member Enumeration Documentation

## ◆ Type

enum STOFFCellContent::FormulaInstruction::Type

Enumerator
F_None |
F_Operator |
F_Function |
F_Cell |
F_CellList |
F_Index |
F_Long |
F_Double |
F_Text |

## Constructor & Destructor Documentation

## ◆ FormulaInstruction()

STOFFCellContent::FormulaInstruction::FormulaInstruction | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPropertyList()

librevenge::RVNGPropertyList STOFFCellContent::FormulaInstruction::getPropertyList | ( |  | ) | const

returns a proplist corresponding to a instruction

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFCellContent::FormulaInstruction const & | inst
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_content

librevenge::RVNGString STOFFCellContent::FormulaInstruction::m_content

the content ( if type == F_Operator or type = F_Function or type==F_Text)

Referenced by StarCellFormulaInternal::Token::addToken(), StarCellFormulaInternal::Token::get(), operator<<(), and StarCellFormula::readSCToken().

## ◆ m_doubleValue

double STOFFCellContent::FormulaInstruction::m_doubleValue

value ( if type==F_Double )

Referenced by StarCellFormulaInternal::Token::get(), and operator<<().

## ◆ m_extra

std::string STOFFCellContent::FormulaInstruction::m_extra

extra data

Referenced by operator<<().

## ◆ m_longValue

long STOFFCellContent::FormulaInstruction::m_longValue

value ( if type==F_Long )

Referenced by StarCellFormulaInternal::Token::get(), and operator<<().

## ◆ m_position

STOFFVec2i STOFFCellContent::FormulaInstruction::m_position[2]

cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), StarCellFormulaInternal::Token::get(), and operator<<().

## ◆ m_positionRelative

STOFFVec2b STOFFCellContent::FormulaInstruction::m_positionRelative[2]

relative cell position ( if type==F_Cell or F_CellList )

Referenced by FormulaInstruction(), StarCellFormulaInternal::Token::get(), and operator<<().

## ◆ m_sheet

librevenge::RVNGString STOFFCellContent::FormulaInstruction::m_sheet

the sheet name (if not empty)

Referenced by operator<<().

## ◆ m_sheetId

int STOFFCellContent::FormulaInstruction::m_sheetId

the sheet id (if set)

Referenced by StarCellFormulaInternal::Token::get(), and operator<<().

## ◆ m_sheetIdRelative

bool STOFFCellContent::FormulaInstruction::m_sheetIdRelative

the sheet id relative flag

Referenced by operator<<().

## ◆ m_type

Type STOFFCellContent::FormulaInstruction::m_type

the type

Referenced by StarCellFormulaInternal::Token::addToken(), StarCellFormulaInternal::Token::get(), operator<<(), and StarCellFormula::readSCToken().

The documentation for this struct was generated from the following files:

- STOFFCell.hxx
- STOFFCell.cxx